#!/usr/bin/make -f
# -*- makefile -*-

# dist-patch.make
# version 2011-06-27-4

# Applies distribution depending patches.
# Copy this make file to your debian directory and include it in your
# debian/rules.

override_dh_quilt_patch: dist-patch
	true
override_dh_quilt_unpatch: dist-unpatch
	true
override_dh_clean:
	dh_clean
	$(MAKE) -f debian/dist-patch.make dist-patch-clean

# examples to merge in your non-dh rules file:
#build: dist-patch
#	# ... / dh $@
#clean:
#	# ... / dh $@
#	$(MAKE) -f debian/dist-patch.make dist-patch-clean


DistCodename = $(shell head -n1 debian/changelog | cut -d ';' -f 1 | cut -d ' ' -f 3)

dist-patch: dist-patch-clean
	[ ! -e debian/patches/series ] || dh_quilt_patch
	[ ! -e debian/patches/$(DistCodename)/series ] || \
	    QUILT_PATCH_DIR=debian/patches/$(DistCodename) dh_quilt_patch

dist-unpatch:
	[ ! -e debian/patches/$(DistCodename)/series ] || \
	    QUILT_PATCH_DIR=debian/patches/$(DistCodename) dh_quilt_unpatch
	[ ! -e debian/patches/series ] || dh_quilt_unpatch
	if [ -e debian/patches/$(DistCodename).clean/series.applied ] && [ ! -e .pc ] ; then \
	    cat debian/patches/$(DistCodename).clean/series | \
	    grep -v -e '^#' | tr -s "[:space:]" | tac | \
	    while read dist_patch; do \
	        echo Unapplying debian/patches/$(DistCodename).clean/$$dist_patch...; \
	        patch -R -p1 < debian/patches/$(DistCodename).clean/$$dist_patch ; \
	    done ; \
	    rm -f debian/patches/$(DistCodename).clean/series.applied; \
	fi
	if [ -e debian/patches/$(DistCodename).clean/series ]; then \
	    QUILT_PATCH_DIR=debian/patches/$(DistCodename).clean dh_quilt_unpatch && \
	    rm -f debian/patches/$(DistCodename).clean/series.applied; \
	fi

dist-patch-clean: dist-unpatch
	if [ -e debian/patches/$(DistCodename).clean/series ]; then \
	    [ -e debian/patches/$(DistCodename).clean/series.applied ] || \
	    QUILT_PATCH_DIR=debian/patches/$(DistCodename).clean dh_quilt_patch && \
	    touch debian/patches/$(DistCodename).clean/series.applied; \
	fi
